API Reference / Users

GET /users/{user_id}

Get a specific user

Returns one user on your account by ID, including their name, email, photo, role and account rights. bcc_email and google_contacts_email are only included when the ID is your own.

Path parameters

Name Type Description
user_id req string User ID

Responses

200 OK
  • statusintegerint32

    Response code

  • messagestring

    Response message

  • timestampintegerunix-timestamp

    Response time

  • dataobject
    object fields →
    • userobject

      Useful information about the logged user and other members of the team. Each can update their own info. Admins can update all.

      object fields →
      • idstringbson-id

        ID of the user

      • first_namestring

        First name of the user

      • last_namestring

        Last name of the user

      • emailstring

        Email address of the user

      • company_namestring

        Name of the company that the user works for

      • account_rightsarray<string>

        List of permissions which the user possesses

      • photo_urlstring

        URL of the user’s profile picture

      • country_codestring

        ISO-3166 country code of the users address

      • bcc_emailstring

        BCC email dropbox address of the user (you only see your own)

      • google_contacts_emailstring

        Google Contacts email address of the user (you only see your own)

Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.

Related guides